# BACKUP SET

Config path: `/<database>/<schema>/backup_set/<name>.yaml`

Example for database:

```yaml
object_type: DATABASE
object_name: my_database
```

Example for schema:

```yaml
object_type: SCHEMA
object_name: my_database.my_schema
```

Example for table:

```yaml
object_type: TABLE
object_name: my_table
backup_policy: my_snapshot_policy
```

## Schema

* <mark style="background-color:red;">**object\_type**</mark> (str) - type of objects to create backups for: database, schema or table
* <mark style="background-color:red;">**object\_name**</mark> (ident) - name of object to create backups for
* **backup\_policy** (ident) - name of [backup policy](/basic/yaml-configs/backup-policy.md)
* **comment** (str)

## Links

* [CREATE BACKUP SET](https://docs.snowflake.com/en/sql-reference/sql/create-backup-set)
* [ALTER BACKUP SET](https://docs.snowflake.com/en/sql-reference/sql/alter-backup-set)
* [SHOW BACKUP SETS](https://docs.snowflake.com/en/sql-reference/sql/show-backup-sets)
* [Parser & JSON Schema (GitHub)](https://github.com/littleK0i/SnowDDL/blob/master/snowddl/parser/backup_set.py)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snowddl.com/basic/yaml-configs/backup-set.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
